Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 241250 - kde-base/phonon:kde-4 blocking media-sound/phonon-4.2.0 but both seem to be required
Summary: kde-base/phonon:kde-4 blocking media-sound/phonon-4.2.0 but both seem to be r...
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
: 241574 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-10-11 10:18 UTC by Graham Cox
Modified: 2009-02-28 06:31 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Cox 2008-10-11 10:18:55 UTC
Performing an update today, emerge is trying to pull in kde-base/phonon:kde-4 and media-sound/phonon-4.2.0, but claims that one blocks the other. Ensuring that both are unmerged, or that specifically only one or the other is merged doesn't fix this.

Reproducible: Always

Steps to Reproduce:
1. emerge --sync && emerge -DNuatv world
Actual Results:  
[nomerge      ] kde-base/kdeedu-meta-4.0.5  [0]
[nomerge      ]  kde-base/kturtle-4.0.5  USE="-debug -htmlhandbook"  [0]
[nomerge      ]   kde-base/knotify-4.0.5  USE="-debug"  [0]


[nomerge      ] kde-base/kmix-4.1.2 [3.5.9, 4.0.5] USE="alsa -debug -htmlhandbook -kdeprefix"  [0]
[ebuild  N    ]  media-sound/phonon-4.2.0  USE="gstreamer -debug" 0 kB [0]

[blocks B     ] kde-base/phonon:kde-4 ("kde-base/phonon:kde-4" is blocking media-sound/phonon-4.2.0)


Expected Results:  
Emerge should work

moneta ~ # emerge --info
WARNING: repository at /usr/local/portage is missing a repo_name entry
Portage 2.2_rc12 (default/linux/amd64/2008.0/desktop, gcc-4.2.4, glibc-2.8_p20080602-r0, 2.6.25-gentoo-r4Moneta-25 x86_64)
=================================================================
System uname: Linux-2.6.25-gentoo-r4Moneta-25-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_4400+-with-glibc2.2.5
Timestamp of tree: Sat, 11 Oct 2008 09:45:04 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.4.4-r4, 2.5.2-r8
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r8
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.3.0-r1
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.26
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=athlon64"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.0/env /usr/kde/4.0/share/config /usr/kde/4.0/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -march=athlon64"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache collision-protect distlocks parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.qubenet.net/mirror/gentoo/ ftp://mirror.qubenet.net/mirror/gentoo/"
LANG="en_GB.UTF-8"
LC_ALL="en_GB.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en_GB"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi alsa amd64 arts bash-completion berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus dri dvd dvdr dvdread eds emboss encode esd evo fam firefox fortran gdbm gif glitz gnome gpm gstreamer gtk gtkhtml hal iconv isdnlog java jpeg kde kerberos lcms ldap libnotify mad midi mikmod mmx mng mp3 mpeg mudflap multilib ncurses nls nptl nptlonly nsplugin ogg opengl openmp oss pam pcre pdf perl png ppds pppd python qt3 qt3support qt4 quicktime readline reflection samba sdl session smp spell spl sse sse2 ssl startup-notification subversion svg sysfs tcpd tetex tiff truetype unicode usb vorbis wmf xinerama xml xorg xscreensaver xv xvid xvmc zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_GB" USERLAND="GNU" VIDEO_CARDS="nv nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Graham Cox 2008-10-11 10:22:20 UTC
Missed a line out of "Actual Results" :( Should read:
[nomerge      ] kde-base/kdeedu-meta-4.0.5  [0]
[nomerge      ]  kde-base/kturtle-4.0.5  USE="-debug -htmlhandbook"  [0]
[nomerge      ]   kde-base/knotify-4.0.5  USE="-debug"  [0]
[ebuild  N    ]    kde-base/phonon-4.0.5  USE="-debug -xcb" 0 kB [0]


[nomerge      ] kde-base/kmix-4.1.2 [3.5.9, 4.0.5] USE="alsa -debug
-htmlhandbook -kdeprefix"  [0]
[ebuild  N    ]  media-sound/phonon-4.2.0  USE="gstreamer -debug" 0 kB [0]

[blocks B     ] kde-base/phonon:kde-4 ("kde-base/phonon:kde-4" is blocking
media-sound/phonon-4.2.0)
Comment 2 Tomáš Chvátal (RETIRED) gentoo-dev 2008-10-11 10:54:54 UTC
Uninstall kde4 first then start installing kde4.1.
Read our handbook: http://www.gentoo.org/proj/en/desktop/kde/kde4-guide.xml
Comment 3 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2008-10-11 11:11:52 UTC
Please remove kde-4.0 and install 4.1.
You may want to remove kde-base/phonon and install media-sound/phonon and then to install the @kdebase set or kdebase-meta.
This issue is caused by kde-4.0 having a hard dep on kde-base/phonon, 4.1 a hard dep on media-sound/phonon and media-sound/phonon blocking kde-base/phonon.
Comment 4 Graham Cox 2008-10-11 22:13:39 UTC
Thank you - that's made it work now :) Probably worth mentioning that the instructions at http://www.gentoo.org/proj/en/desktop/kde/kde4-guide.xml on how to unmerge KDE-4.0 didn't unmerge kde-meta so the next emerge world tried to re-emerge all of KDE-4.0 as well as KDE-4.1, which obviously still didn't work...
Comment 5 Wormo (RETIRED) gentoo-dev 2008-10-13 02:01:10 UTC
*** Bug 241574 has been marked as a duplicate of this bug. ***
Comment 6 Luigi B 2009-02-23 01:25:25 UTC
I too have this problem on a newly installed system from the 2008.0-r1 livecd (Installed this weekend). In terms of installed graphical environments, the system only has xorg-server-1.5. I attempted to load emerge the full kde set  'emerge @kde-4.2'.
Comment 7 Luigi B 2009-02-23 13:14:24 UTC
Just to add some extra details to my previous comment. Here is the interesting output from 'emerge -p @kde-4.2';

....
[blocks B     ] kde-base/phonon-kde ("kde-base/phonon-kde" is blocking x11-libs/
qt-phonon-4.5.0_rc1)
[blocks B     ] dev-db/mysql-community ("dev-db/mysql-community" is blocking dev
-db/mysql-5.0.76)
[blocks B     ] x11-libs/qt-phonon:4 ("x11-libs/qt-phonon:4" is blocking media-s
ound/phonon-4.3.0)
[blocks B     ] dev-db/mysql ("dev-db/mysql" is blocking dev-db/mysql-community-
5.0.75-r1)
[blocks B     ] media-sound/phonon ("media-sound/phonon" is blocking x11-libs/qt
-phonon-4.5.0_rc1)
[blocks B     ] x11-libs/qt-phonon ("x11-libs/qt-phonon" is blocking kde-base/kd
elibs-4.2.0-r3)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'dev-db/mysql-5.0.76', 'merge') pulled in by
    =dev-db/mysql-5.0* required by ('ebuild', '/', 'x11-libs/qt-sql-4.5.0_rc1', 'merge')
    =dev-db/mysql-5.0* required by ('ebuild', '/', 'virtual/mysql-5.0', 'merge')
    =dev-db/mysql-5.0* required by ('ebuild', '/', 'dev-perl/DBD-mysql-4.01.0', 
'merge')
    (and 1 more)

  ('ebuild', '/', 'x11-libs/qt-phonon-4.5.0_rc1', 'merge') pulled in by
    ~x11-libs/qt-phonon-4.5.0_rc1:4[-debug] required by ('ebuild', '/', 'x11-lib
s/qt-webkit-4.5.0_rc1', 'merge')

  ('ebuild', '/', 'kde-base/kdelibs-4.2.0-r3', 'merge') pulled in by
    >=kde-base/kdelibs-4.2.0:4.2[kdeprefix] required by ('ebuild', '/', 'kde-bas
e/kspaceduel-4.2.0', 'merge')
    >=kde-base/kdelibs-4.2.0:4.2[kdeprefix] required by ('ebuild', '/', 'kde-bas
e/kanagram-4.2.0', 'merge')
    >=kde-base/kdelibs-4.2.0:4.2[kdeprefix] required by ('ebuild', '/', 'kde-bas
e/libksane-4.2.0', 'merge')
    (and 225 more)

  ('ebuild', '/', 'kde-base/phonon-kde-4.2.0', 'merge') pulled in by
    kde-base/phonon-kde:4.2 required by @kde-4.2

  ('ebuild', '/', 'media-sound/phonon-4.3.0', 'merge') pulled in by
    >=media-sound/phonon-4.3.0[xcb] required by ('ebuild', '/', 'kde-base/kdelib
s-4.2.0-r3', 'merge')
    >=media-sound/phonon-4.3.0 required by ('ebuild', '/', 'kde-base/kttsd-4.2.0
', 'merge')

Comment 8 Tomáš Chvátal (RETIRED) gentoo-dev 2009-02-28 06:30:17 UTC
(In reply to comment #7)
> Just to add some extra details to my previous comment. Here is the interesting
> output from 'emerge -p @kde-4.2';
> 
> ....
> [blocks B     ] kde-base/phonon-kde ("kde-base/phonon-kde" is blocking
> x11-libs/
> qt-phonon-4.5.0_rc1)
> [blocks B     ] dev-db/mysql-community ("dev-db/mysql-community" is blocking
> dev
> -db/mysql-5.0.76)
> [blocks B     ] x11-libs/qt-phonon:4 ("x11-libs/qt-phonon:4" is blocking
> media-s
> ound/phonon-4.3.0)
> [blocks B     ] dev-db/mysql ("dev-db/mysql" is blocking
> dev-db/mysql-community-
> 5.0.75-r1)
> [blocks B     ] media-sound/phonon ("media-sound/phonon" is blocking
> x11-libs/qt
> -phonon-4.5.0_rc1)
> [blocks B     ] x11-libs/qt-phonon ("x11-libs/qt-phonon" is blocking
> kde-base/kd
> elibs-4.2.0-r3)
> 
>  * Error: The above package list contains packages which cannot be
>  * installed at the same time on the same system.
> 
>   ('ebuild', '/', 'dev-db/mysql-5.0.76', 'merge') pulled in by
>     =dev-db/mysql-5.0* required by ('ebuild', '/', 'x11-libs/qt-sql-4.5.0_rc1',
> 'merge')
>     =dev-db/mysql-5.0* required by ('ebuild', '/', 'virtual/mysql-5.0',
> 'merge')
>     =dev-db/mysql-5.0* required by ('ebuild', '/', 'dev-perl/DBD-mysql-4.01.0', 
> 'merge')
>     (and 1 more)
> 
>   ('ebuild', '/', 'x11-libs/qt-phonon-4.5.0_rc1', 'merge') pulled in by
>     ~x11-libs/qt-phonon-4.5.0_rc1:4[-debug] required by ('ebuild', '/',
> 'x11-lib
> s/qt-webkit-4.5.0_rc1', 'merge')
> 
>   ('ebuild', '/', 'kde-base/kdelibs-4.2.0-r3', 'merge') pulled in by
>     >=kde-base/kdelibs-4.2.0:4.2[kdeprefix] required by ('ebuild', '/',
> 'kde-bas
> e/kspaceduel-4.2.0', 'merge')
>     >=kde-base/kdelibs-4.2.0:4.2[kdeprefix] required by ('ebuild', '/',
> 'kde-bas
> e/kanagram-4.2.0', 'merge')
>     >=kde-base/kdelibs-4.2.0:4.2[kdeprefix] required by ('ebuild', '/',
> 'kde-bas
> e/libksane-4.2.0', 'merge')
>     (and 225 more)
> 
>   ('ebuild', '/', 'kde-base/phonon-kde-4.2.0', 'merge') pulled in by
>     kde-base/phonon-kde:4.2 required by @kde-4.2
> 
>   ('ebuild', '/', 'media-sound/phonon-4.3.0', 'merge') pulled in by
>     >=media-sound/phonon-4.3.0[xcb] required by ('ebuild', '/',
> 'kde-base/kdelib
> s-4.2.0-r3', 'merge')
>     >=media-sound/phonon-4.3.0 required by ('ebuild', '/',
> 'kde-base/kttsd-4.2.0
> ', 'merge')
> 

That is problem unrelated to the issue in this bug.
For the blockers you should open another bugie. :]
Comment 9 Tomáš Chvátal (RETIRED) gentoo-dev 2009-02-28 06:31:07 UTC
This block is intentional.
We have to block it since those two implementations were incompatible
both seemed to be required thanks to one was desired by kde-4.0 and other by kde-4.1 :(